Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008896opensim[REGION] OpenSim Corepublic2021-06-01 11:542021-12-27 12:51
ReporterJeffKelley 
Assigned ToJeffKelley 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOperating SystemOperating System Version
Product Version 
Target VersionFixed in Version 
Summary0008896: llSetText disrupts a looped sound
DescriptionllSetText disrupts a looped sound
Steps To ReproducePrepare two sounds :
  - A loop, with easily identifiable start and end
  - A short sound event, here a doorbell

Put the sounds and the following script into a prim
Edit the script to reflect your sounds names.
Or : download the two attached sound files.


Type 'l' to start the loop.

Type 't' multiple times to change the hovertext.
Observe the text changing each time.
This is a required condition to trigger the issue.

Type 'p' to play the single-shot sound.
Hear the sound over the loop.
The loop keeps running uninterrupted.

Type 't' to change hovertext again.
Observe that the loop is restarted from
the beginning, and is no longer looping.

This happens each time you type 't'.

Typing 'l' resets this condition.



string loopSound = "stayin-alive";
string frontSound = "doorbell";

default
{
    state_entry()
    {
        llListen (0, "", llGetOwner(), "");
    }

    listen (integer channel, string name, key id, string message)
    {
        if (message == "l") llLoopSound (loopSound, 1.0);
        if (message == "p") llTriggerSound (frontSound, 1.0);
        if (message == "t") llSetText ( (string)llGetTime( ), <0,1,0>, 1.0);
        if (message == "s") llStopSound();
    }

}
Additional InformationXEngine and YEngine
TagsNo tags attached.
Git Revision or version number4e8c87f of 2021-05-29
Run Mode Standalone (Multiple Regions) , Grid (Multiple Regions per Sim)
Physics EngineBulletSim
Script EngineXEngine, YEngine
EnvironmentMono / Linux64
Mono Version6.x
ViewerFirestorm
Attached Fileswav file icon stayin-alive.wav [^] (1,638,940 bytes) 2021-06-01 11:54
wav file icon doorbell.wav [^] (392,828 bytes) 2021-06-01 11:55

- Relationships

-  Notes
(0037760)
tampa (reporter)
2021-06-01 13:15

Seems there are some flags involved in making sure sounds loops, perhaps something there is not being handled correctly, but evidently this is meant to work.

Currently a workaround is to run the loop sound again on the set text, but that's not meant to be required for this to function.

Looking at the SoundModule there is some stuff going on that attempts to resolve issues with the system, but in doing so likely breaks this functionality. Specifically it sends "FullUpdate" each time a change to the prim is made in an effort to make sure all users have the sound data, but the trigger sound changes the flags in some cases, potentially then sending bad data making the sound trigger rather than loop from then on out.
(0037761)
JeffKelley (reporter)
2021-06-01 13:19

Workaround tested and hides issue.
(0037762)
UbitUmarov (administrator)
2021-06-01 13:56

Thanks
Issue was on llTriggerSound, that did clear the loopsound
That clear was only sent setting the text.

should be better now on our git master
(0037763)
JeffKelley (reporter)
2021-06-01 15:36

Fixed by commit 75dac82 of 2021-06-01

Leaving open for a while in case of side effects or regression.
(0038302)
JeffKelley (reporter)
2021-12-27 12:51

Tested again in 0.9.2.0 Yeti Dev 2021-11-30-249f0fc and ok. Closing.

- Issue History
Date Modified Username Field Change
2021-06-01 11:54 JeffKelley New Issue
2021-06-01 11:54 JeffKelley File Added: stayin-alive.wav
2021-06-01 11:55 JeffKelley File Added: doorbell.wav
2021-06-01 13:15 tampa Note Added: 0037760
2021-06-01 13:15 tampa Status new => confirmed
2021-06-01 13:19 JeffKelley Note Added: 0037761
2021-06-01 13:56 UbitUmarov Note Added: 0037762
2021-06-01 15:36 JeffKelley Note Added: 0037763
2021-12-27 12:51 JeffKelley Note Added: 0038302
2021-12-27 12:51 JeffKelley Status confirmed => resolved
2021-12-27 12:51 JeffKelley Resolution open => fixed
2021-12-27 12:51 JeffKelley Assigned To => JeffKelley


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker